# FileSystemAbstract Class Reference

`#include <vfs.h>`

Inheritance diagram for FileSystemAbstract:

## Public Member Functions

virtual int | read (char *, long, long)=0
virtual int | write (char *, long, long)=0
virtual | ~FileSystemAbstract (void)

## Detailed Description

Definition at line 7 of file vfs.h.

## Constructor & Destructor Documentation

virtual FileSystemAbstract::~FileSystemAbstract | ( | void |  | ) | `[inline, virtual]`

Definition at line 12 of file vfs.h.

## Member Function Documentation

virtual int FileSystemAbstract::read | ( | char * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[pure virtual]`

virtual int FileSystemAbstract::write | ( | char * | ,
|  | long | ,
|  | long |  |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- src/sys/ubixfsv2/vfs.h